from random import randint

UUID_SIZE = (8, 4, 4, 4, 12)
UUID_GLUE = "-"

def generate():
    #[randint(0, 15) for s in UUID_SIZE for _ in range(s)]
    return "-".join("".join(format(randint(0, 15), "x") for _ in range(s)) for s in UUID_SIZE)